ScorpionSting Absent Member.
Absent Member.
2034 views

4.4 and DEFAULT_SUSE

Hmmm....something about the 4.4 upgrade from previous release, suddenly I hit the DEFAULT_SUSE issue with curl and spacewalk's zypper on AC.....I didn't have it before upgrade.... *shrugs*

So, for those that need it:

rm /etc/ld.so.conf.d/ntls.conf
/sbin/ldconfig -v
systemctl restart novell-ac

Visit my Website for links to Cool Solution articles.
0 Likes
18 Replies
Knowledge Partner Knowledge Partner
Knowledge Partner

Re: 4.4 and DEFAULT_SUSE

Good point; out of curiosity, which version of eDirectory is in NAM 4.4?
I presume it is still eDirectory 8.8 SP8, but maybe it moved to 9.x.


--
Good luck.

If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below.

If you want to send me a private message, please let me know in the
forum as I do not use the web interface often.
0 Likes
ScorpionSting Absent Member.
Absent Member.

Re: 4.4 and DEFAULT_SUSE

Binary Version: 40005.13
Root Most Entry Depth: 0
Product Version: eDirectory for Linux x86_64 v9.0.3 [DS]

Visit my Website for links to Cool Solution articles.
0 Likes
ScorpionSting Absent Member.
Absent Member.

Re: 4.4 and DEFAULT_SUSE

sssd will fail with an LDAP domain too, so also need to kill:

/etc/ld.so.conf.d/ice.conf

Visit my Website for links to Cool Solution articles.
0 Likes
ScorpionSting Absent Member.
Absent Member.

Re: 4.4 and DEFAULT_SUSE

Oh great, that now breaks ambkup.sh at the Backing up certificates... stage (Signature file not found / AM#201001003: Failed to backup certificates and keys.)

./ambkup.sh: line 152: 20993 Aborted                 (core dumped) ${JAVA} -Djava.library.path=/opt/novell/lib64 -jar certtool.jar -edirTree ${EDIR_TREE} -edirIP ${IP_ADDR} -edirServer ${EDIR_SERVER_DN_DOT} -edirUser ${DS_ADMIN_DN_DOT} -edirPwd ${DS_ADMIN_PWD} -bkup -file "${BKUP_DIR}/${BKUP_FILE}.zip" -pwd "${CERT_ENC_PWD}" -trcontainer trustedRoots.accessManagerContainer.novell -caName "${EDIR_CA}" >> ${LOG_FILE} 2>&1

Visit my Website for links to Cool Solution articles.
0 Likes
ScorpionSting Absent Member.
Absent Member.

Re: 4.4 and DEFAULT_SUSE

2 bugs logged.

Not officially supported, but have tested this and it works:

Add the following below the #! declaration of /opt/novell/devman/bin/ambkup.sh

export LD_LIBRARY_PATH=/opt/novell/lib64:/opt/novell/eDirectory/lib64:$LD_LIBRARY_PATH


(optional) You can then change line 77 from:

LD_LIBRARY_PATH=/opt/novell/lib64:/opt/novell/eDirectory/lib64 ${JAVA} -cp "certtool.jar:/opt/novell/lib64/npki.jar" com.novell.nids.certmgr.DirCertTool -edirIP ${IP_ADDR} -edirUser ${DS_ADMIN_DN_DOT} -edirPwd ${DS_ADMIN_PWD} -exportCACert -file "ca.der" >> ${LOG_FILE} 2>&1


to:

${JAVA} -cp "certtool.jar:/opt/novell/lib64/npki.jar"  com.novell.nids.certmgr.DirCertTool -edirIP ${IP_ADDR} -edirUser  ${DS_ADMIN_DN_DOT} -edirPwd ${DS_ADMIN_PWD} -exportCACert -file "ca.der"  >> ${LOG_FILE} 2>&1

Visit my Website for links to Cool Solution articles.
0 Likes
ScorpionSting Absent Member.
Absent Member.

Re: 4.4 and DEFAULT_SUSE

Same idea for amdiagcfg.sh

Visit my Website for links to Cool Solution articles.
0 Likes
Knowledge Partner Knowledge Partner
Knowledge Partner

Re: 4.4 and DEFAULT_SUSE

Do you know the bug numbers? Ask for those so we can watch for fixes in
the list of fixes within patches.

--
Good luck.

If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below.

If you want to send me a private message, please let me know in the
forum as I do not use the web interface often.
0 Likes
ScorpionSting Absent Member.
Absent Member.

Re: 4.4 and DEFAULT_SUSE

Asked Singapore for them....will see

Visit my Website for links to Cool Solution articles.
0 Likes
ScorpionSting Absent Member.
Absent Member.

Re: 4.4 and DEFAULT_SUSE

Both with backline....waiting for bugs to actually be logged and supplied

Visit my Website for links to Cool Solution articles.
0 Likes
Highlighted
bpenris1 Absent Member.
Absent Member.

Re: 4.4 and DEFAULT_SUSE

Thank you for posting this. Next time I'll make sure to come here before googling. I upgraded to build 336 (eval) a couple of weeks ago because we're not in production with this instance yet and wasn't able to upgrade the AG's. Admin console and IdP's went fine, just AG's that didn't and this fixed it. Thanks 🙂
0 Likes
slongholio Absent Member.
Absent Member.

Re: 4.4 and DEFAULT_SUSE

Was going through the readme and instructions. in case there is something new from the usualy process.

I notice SLES 12 SP1 not listed as supported OS. Are you on SLES 12 SP2 per chance? I'm on SLES 12 SP1 - so as it wasn't listed, could be a reasonable explanation. Doesn't mean it won't work. Just means it wasn't tested.

Anything else broke? How would we know? I'm not a linux admin, but I play one when I maintain our NAM environment. Thanks for supplying fixes to "not" known issues. I'll open an SR too so maybe it will increase the priority if more people report it.
0 Likes
ScorpionSting Absent Member.
Absent Member.

Re: 4.4 and DEFAULT_SUSE

If you need to cross reference SR's:

Service Request # 101099891231 : AM 4.4 conflicts with issues in Bug# 1054152
Service Request # 101100632871 : sssd will fail with an LDAP domain

Visit my Website for links to Cool Solution articles.
0 Likes
ScorpionSting Absent Member.
Absent Member.

Re: 4.4 and DEFAULT_SUSE

Finally:

1. The bug number for the issue with NAM scripts (amdiagcfg, ambkup, amrestore) is 1061424.
2. The bug for the other SR#101100632871 (zypper/curl, sssd issues) is tied to the existing bug 1054152

Visit my Website for links to Cool Solution articles.
0 Likes
ScorpionSting Absent Member.
Absent Member.

Re: 4.4 and DEFAULT_SUSE

0 Likes
The opinions expressed above are the personal opinions of the authors, not of Micro Focus. By using this site, you accept the Terms of Use and Rules of Participation. Certain versions of content ("Material") accessible here may contain branding from Hewlett-Packard Company (now HP Inc.) and Hewlett Packard Enterprise Company. As of September 1, 2017, the Material is now offered by Micro Focus, a separately owned and operated company. Any reference to the HP and Hewlett Packard Enterprise/HPE marks is historical in nature, and the HP and Hewlett Packard Enterprise/HPE marks are the property of their respective owners.